﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using DataTemplatesAndConverters2010.PersonService;

namespace DataTemplatesAndConverters2010
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            var proxy = new PersonServiceClient();
            proxy.GetPeopleCompleted += 
                new EventHandler<GetPeopleCompletedEventArgs>(proxy_GetPeopleCompleted);
            proxy.GetPeopleAsync();
        }

        void proxy_GetPeopleCompleted(object sender, GetPeopleCompletedEventArgs e)
        {
            PersonList.ItemsSource = e.Result;
            PersonList.SelectedIndex = 0;
        }

    }
}
